import http from '../../src/http'
import util from '../../src/libs/util';
import queue from '../../src/common/zzdmd'
Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    carNumber: '',
    carList: [],
    showTop: false,
    select: [
      {
        title: '选择时间',
        open: false
      }
    ]
  },
  onLoad() {
    this.getTjList()
  },
  onShow() {
    // 页面显示
    queue('carTj','车辆统计',"pages/carTj/carTj")  
  },
  getTjList() {
    let data = {
      tenant_id: getApp().globalData.tenantId,
      start_time: this.data.start_time,
      end_time: this.data.end_time,
    }
    http.post(getApp().globalData.service + '/api/T_Tj/RenTj', data).then(res => {
      if (res.Success) {
        this.setData({
          tjList:res.result
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  bindObjPickerChange(e) {
    this.setData({
      arrIndex: e.detail.value,
      carNumber: this.data.carList[e.detail.value]
    });
    this.getTjList()
  },
  onPullDownRefresh() {
    // 页面被下拉
    this.getTjList();
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getTjList();
  },
  skipSelect(e) {
    if (e.target.dataset.index === 0) {
      this.setData({
        showTop: true
      })
    }
  },
  onPopupClose() {
    this.setData({
      showTop: false,
    });
  },
  handleCallBack(data) {
    this.setData({
      carNumber: data[0].value,
      show: false
    })
    this.getTjList()
  },
  dateStartPicker() {
    my.datePicker({
      title: '选择始出车时间',
      success: (res) => {
        this.setData({
          start_time: res.date,
        });
      },
    });
  },
  dateEndPicker() {
    my.datePicker({
      title: '选择始结束时间',
      success: (res) => {
        this.setData({
          end_time: res.date,
        });
      },
    });
  },
  dateSearch() {
    this.setData({
      showTop: false
    });
    this.getTjList()
  }
});
