import http from '../../src/http'
import util from '../../src/libs/util';
import queue from '../../src/common/zzdmd'
Page({
  data: {
    pageNo: 1,
    pageSize: 10,
    showTop: false,
    select: [
      {
        title: '选择车辆',
        open: false
      },
      {
        title: '选择时间',
        open: false
      }
    ]
  },
  onLoad() {
    this.getLogList()
    this.getCarList()
  },
  onShow() {
    // 页面显示
    queue('carUseLog','车辆使用日志',"pages/carUseLog/carUseLog")  
  },
  getLogList() {
    let data = {
      pageNo: this.data.pageNo,
      pageSize: this.data.pageSize,
      carNumber: this.data.carNumber,
      start_time: this.data.start_time,
      end_time: this.data.end_time,
    }
    http.post(getApp().globalData.service + '/api/T_Tj/GetPageList', data).then(res => {
      if (res.Success) {
        this.setData({
          logList: res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  getCarList() {
    let data = {
      pageNo: 1,
      pageSize: 100,
    }
    http.post(getApp().globalData.service + '/api/T_Equipment/GetList', data).then(res => {
      if (res.Success) {
        this.setData({
          car: res.result.records
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  bindObjPickerChange(e) {
    this.setData({
      arrIndex: e.detail.value,
      carNumber: this.data.carList[e.detail.value]
    });
    this.getLogList()
  },
  onPullDownRefresh() {
    // 页面被下拉
    this.getLogList();
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
  onScrollToLower(e) {
    const _this = this
    _this.setData({
      pageSize: _this.data.pageSize + 8
    })
    this.getLogList();
  },
  skipSelect(e) {
    if (e.target.dataset.index === 0) {
      this.setData({
        show: true
      })
    }
    if (e.target.dataset.index === 1) {
      this.setData({
        showTop: true
      })
    }
  },
  onPopupClose() {
    this.setData({
      showTop: false,
    });
  },
  handleCallBack(data) {
    this.setData({
      carNumber: data[0].value,
      show: false
    })
    this.getLogList()
  },
  dateStartPicker() {
    my.datePicker({
      title: '选择始出车时间',
      success: (res) => {
        this.setData({
          start_time: res.date,
        });
      },
    });
  },
  dateEndPicker() {
    my.datePicker({
      title: '选择始结束时间',
      success: (res) => {
        this.setData({
          end_time: res.date,
        });
      },
    });
  },
  dateSearch() {
    this.setData({
      showTop: false
    });
    this.getLogList()
  }
});
