import http from '../../src/http';
import login from '../../src/api/login';
import util, {fuzzyQuery} from '../../src/libs/util.js';

Page({
  data: {
    url: {
      getDepart: '/jeecg/sys/sysDepart/listAll',
      bindTenant: '/jeecg/zzdApi/bindSysDepart'
    },
    departList: [],
    value: [0],
    searchValue: '',
    timeId: 0
  },
  onLoad(query) {
    // 页面加载
    this.initDepart()
  },
  initDepart() {
    const _this = this
    http.get(this.data.url.getDepart, {departName: this.data.searchValue}).then(res => {
      if (res.success) {
        _this.setData({
          departList: res.result
        })
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
  handleInput(value) {
    this.setData({
      searchValue: value,
    });
    clearTimeout(this.data.timeId) //清除定时器
    this.data.timeId = setTimeout(()=>{     
      this.initDepart() //发送请求，间隔时间为1s
    },1000)
  },
  handleClear() {
    this.setData({
      searchValue: '',
    });
    this.initDepart()
  },
  onChange(e) {
    this.setData({
      value: e.detail.value
    });
  },
  handleSubmit() {
    const depart = this.data.departList[this.data.value[0]]
    http.post(getApp().globalData.host + this.data.url.bindTenant, { id: getApp().globalData.userInfo.userId, departIds: depart.id}).then(res => {
      if (res.success) {
        login()
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
});
