import http from '../../src/http';
import util from '../../src/libs/util';
import dd from 'gdt-jsapi';
Page({
  data: {
    id: '',
    deptList: [],
    roleList: [],
  },
  onLoad(query) {
    if (query.id) {
      this.setData({
        id: query.id,
        username: query.username,
        realname: query.realname,
        deptName: query.deptName,
      })
      this.loadDept()
      this.loadRole()
    }
  },
  loadDept() {
    http.get('/jeecg/sys/sysDepart/listAll').then(res => {
      if(res.success) {
        this.setData({
          deptList: res.result
        })
      }
    })
  },
  loadRole() {
    http.get('/jeecg/sys/role/queryall').then(res => {
      if(res.success) {
        this.loadUserRole(res.result)
      }
    })
  },
  loadUserRole(roleList) {
    http.get('/jeecg/sys/user/queryUserRole', {userid: this.data.id}).then(res => {
      if(res.success) {
        roleList.forEach(element => {
          if (res.result.includes(element.id)) {
            element.ctrlChecked = true;
          }
        })
        this.setData({
          roleList
        })
      }
    })
  },
  deptPickerChange() {
    dd.redirectTo({
      url: '../selectDepart/selectDepart?id=' + this.data.id + '&username=' + this.data.username + '&realname=' + this.data.realname
    })
    // my.showActionSheet({
    //   title: '选择用户部门',
    //   items: this.data.deptList.map(i => i.departName),
    //   cancelButtonText: '取消',
    //   success: (res) => {
    //     this.setData({
    //       deptName: this.data.deptList.map(i => i.departName)[res.index]
    //     });
    //   },
    // });
  },
  onChange(e) {
    const { id } = e.currentTarget.dataset;
    const { value } = e.detail;
    const { roleList } = this.data;
    roleList.forEach((element) => {
      if (element.id === id) {
        element.ctrlChecked = value;
      }
    });
    this.setData({
      roleList
    });
  },
  handleSubmit(e) {
    let formData = {}
    formData = e.detail.value
    formData.id = this.data.id
    formData.selecteddeparts = this.data.deptList.find(i => i.departName == this.data.deptName).id
    formData.selectedroles = this.data.roleList.filter(i => i.ctrlChecked).map(j => j.id).join(',')
    http.post(getApp().globalData.host + '/jeecg/sys/user/edit', formData).then(res => {
      if(res.success) {
        dd.redirectTo({
          url: '../sysUser/sysUser'
        })
      } else {
        util.ddToast({ type: 'fail', text: res.message })
      }
    })
  },
});
