import login from '../../src/api/login';
import {
  openAuthMiniApp,
  disposeAuthData,
  offAuthListener
} from "dingtalk-design-libs/biz/openAuthMiniApp";
import dd from 'gdt-jsapi';

Page({
  data: {
    url: {
      getTenantList: '/api/Sys_Tenant/GetTenantList'
    },
    tenantList: [],
    value: [0],
    searchValue: '',
    showLogo: true,
    corpId: '',
  },
  onLoad() {
    login()   
  },
  openApp() {
    return openAuthMiniApp({
      path: "pages/home/home", // 不要改
      panelHeight: "percent50",
      extraData: {
        clientId: "suitew8zkh41ltgnypjgl", // 应用ID(唯一标识)
        rpcScope: "Contact.User.Read",
        fieldScope: "Contact.User.mobile",
        type: 0,
        ext: JSON.stringify({}),
        from: "",
      },
    });
  },
  onShow(e) {
    disposeAuthData((options) => {
      if (options.status == 'ok') {
        dd.setStorage({
          key: 'grantAuth',
          data: 'success'
        })
        login()
      }
    });
  },
  onHide(){
    offAuthListener();
  },
  onUnload() {
    offAuthListener();
  },
  openCancelPage() {
    return openAuthMiniApp({
      path: "pages/cancel/index",  // 不要改
      panelHeight: "percent50",
      extraData: {
        clientId: "suitew8zkh41ltgnypjgl", // 应用ID(唯一标识)
        rpcScope: "Contact.User.Read",
        fieldScope: "Contact.User.mobile",
        type: 0,
        ext: JSON.stringify({}),
        from: "",
      },
      success: (res) => {
        console.log(JSON.stringify(res));
      },
      fail: (res) => {
        console.log(JSON.stringify(res));
      },
    });
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
