import dd from 'gdt-jsapi';
import util from '/src/libs/util.js'

// http对象
const http = {
  // 通用get方法
  get: function(url, data) {
    dd.showLoading()
    return new Promise((resolve, reject) => {
      dd.httpRequest({
        url: getApp().globalData.host + url,
        method: 'GET',
        data: data,
        dataType: 'json',
        complete: (res) => {
          if (res.status === 200) {
            resolve(res.data)
          } else {
            reject(res)
            handleError(res)
          }
          dd.hideLoading()
        }
      })
    })
  },

  // 通用post方法
  post: function(url, data) {
    dd.showLoading()
    return new Promise((resolve, reject) => {
      dd.httpRequest({
        url: url,
        method: 'POST',
        data: JSON.stringify(data),
        dataType: 'json',
        headers: {
          "Content-Type": "application/json"
        },
        complete: (res) => {
          if (res.status === 200) {
            resolve(res.data)
          } else {
            reject(res)
            handleError(res)
          }
          dd.hideLoading()
        }
      })
    })
  }
}

// 错误处理方法
function handleError(err) {
  let message = '请求错误'
  if (err.error) {
    // 判断错误码
    switch (err.error) {
      case 4: message = '设置错误'; break
      case 11: message = '无权跨域'; break
      case 12: message = '网络出错'; break
      case 13: message = '超时'; break
      case 14: message = '解码失败'; break
      case 19: message = 'HTTP错误'; break
      default: break
    }
  }
  util.ddToast({ type: 'fail', text: message })
}

export default http